jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Florent Guillaume ...@nuxeo.com>
Subject Re: Commented: (JCR-1163) Lucene indexing error
Date Mon, 29 Oct 2007 01:37:34 GMT
Marcel Reutegger (JIRA) wrote:
> [ https://issues.apache.org/jira/browse/JCR-1163] 
> 
> Marcel Reutegger commented on JCR-1163:
> ---------------------------------------
> 
> We already did. Jackrabbit trunk uses Lucene 2.2. See issue JCR-788.
> 
> As already mentioned in JCR-788 I think you should be able to simply replace the lucene-core-2.0.0.jar
with lucene-core.2.2.0.jar in an existing Jackrabbit 1.3.x installation.

FYI actually dropping a lucene 2.2 in a jackrabbit 1.3.1 doesn't work. 
It's probably source-compatible (lucene's Document.add(Field) turned 
into Document.add(Fieldable) and Field implements Fieldable), but it's 
not binary compatible:

java.lang.NoSuchMethodError: 
org.apache.lucene.document.Document.add(Lorg/apache/lucene/document/Field;)V
         at 
org.apache.jackrabbit.core.query.lucene.NodeIndexer.createDoc(NodeIndexer.java:135)


Florent

-- 
Florent Guillaume, Director of R&D, Nuxeo
Open Source Enterprise Content Management (ECM)
http://www.nuxeo.com   http://www.nuxeo.org   +33 1 40 33 79 87

Mime
View raw message